import * as React from "react";
import "react-table/react-table.css";
export interface TableWithModalProps {
    classes?: {
        root?: string;
        table?: string;
        paper?: string;
    };
    columnData: Array<{
        name: string;
        key: string;
    }>;
    tableTitle: string;
    data: any[];
    children?: (props: {
        clickedData: {
            data?: any;
        };
        handleOpen: () => void;
        handleClose: () => void;
        modalStyle: React.CSSProperties;
    }) => React.ReactNode;
}
declare const _default: React.ComponentType<Pick<TableWithModalProps, "data" | "children" | "tableTitle" | "columnData"> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"table" | "root" | "paper">>;
export default _default;
