import * as React from "react";
import { PageSizeChangeFunction } from "react-table";
export interface TablePaginationProps {
    pages?: number;
    page?: number;
    pageSize?: number;
    PageButtonComponent?: React.ComponentType;
    onPageChange?: (page: number) => {};
    previousText?: string;
    nextText?: string;
    onPageSizeChange?: PageSizeChangeFunction;
    pageSizeOptions?: number[];
    data?: any[];
}
export default class TablePagination extends React.Component<TablePaginationProps> {
    constructor(props: any);
    componentDidUpdate(): void;
    changePage(_event: React.MouseEvent<HTMLButtonElement>, page: number): void;
    changeRowsPerPageHandler(event: React.ChangeEvent<HTMLTextAreaElement | HTMLInputElement>): void;
    render(): JSX.Element;
}
