import { WithWidth } from "@material-ui/core/withWidth";
import * as React from "react";
export interface NavButtonProps {
    text?: string;
    link?: string;
}
export interface NavbarGeneralProps {
    children?: React.ReactNode;
    logo?: {
        src?: string;
        onClick?: () => void;
    };
    style?: React.CSSProperties;
}
export interface NavbarProps extends WithWidth {
    logo?: {
        src?: string;
        onClick?: () => void;
    };
    navbarStyle?: React.CSSProperties;
    children?: React.ReactNode;
}
declare const _default: React.ComponentType<Pick<NavbarProps, "children" | "logo" | "navbarStyle"> & Partial<WithWidth>>;
export default _default;
