import * as React from "react";
import { InputLabelProps } from "@material-ui/core/InputLabel";
import { FormHelperTextProps } from "@material-ui/core/FormHelperText";
import { SelectProps } from "@material-ui/core/Select";
export interface TextInputProps {
    autoComplete?: string;
    autoFocus?: boolean;
    children?: React.ReactNode;
    defaultValue?: string | number;
    disabled?: boolean;
    error?: boolean;
    FormHelperTextProps?: Partial<FormHelperTextProps>;
    fullWidth?: boolean;
    helperText?: React.ReactNode;
    id?: string;
    InputLabelProps?: Partial<InputLabelProps>;
    inputRef?: React.Ref<any> | React.RefObject<any>;
    label?: React.ReactNode;
    margin?: "none" | "dense";
    multiline?: boolean;
    name?: string;
    onChange?: React.ChangeEventHandler<HTMLInputElement | HTMLTextAreaElement | HTMLSelectElement>;
    placeholder?: string;
    required?: boolean;
    rows?: string | number;
    rowsMax?: string | number;
    select?: boolean;
    SelectProps?: Partial<SelectProps>;
    type?: string;
    value?: Array<string | number | boolean> | string | number | boolean;
    classes?: {
        margin: string;
        cssUnderline: string;
    };
    className?: string;
}
declare const _default: React.ComponentType<Pick<TextInputProps, "label" | "select" | "autoFocus" | "disabled" | "name" | "type" | "value" | "defaultValue" | "className" | "id" | "placeholder" | "children" | "onChange" | "SelectProps" | "margin" | "error" | "fullWidth" | "required" | "autoComplete" | "FormHelperTextProps" | "helperText" | "InputLabelProps" | "inputRef" | "multiline" | "rows" | "rowsMax"> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"margin" | "container" | "cssLabel" | "cssFocused" | "cssUnderline">>;
export default _default;
