import * as React from "react";
import { TextFieldProps as MuiTextFieldProps } from "@material-ui/core/TextField";
import { FieldProps } from "formik";
export interface TextInputFieldProps extends FieldProps, Omit<MuiTextFieldProps, "error" | "name" | "onChange" | "value" | "variant"> {
}
export declare const fieldToTextField: ({ field, form, disabled, ...props }: TextInputFieldProps) => MuiTextFieldProps;
declare const TextInputField: React.ComponentType<TextInputFieldProps>;
export default TextInputField;
export declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
